Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009801Dwarf FortressDwarf Mode -- Interface, Stockspublic2016-05-28 09:132016-06-05 14:04
ReporterLarix2 
Assigned ToToady One 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSXP 32BitOS Version
Product Version0.43.03 
Target VersionFixed in Version0.43.04 
Summary0009801: Random entry appended to bottom of stocks screen, can result in crash
DescriptionDuplicate of actual stock category appended to the bottom of the stocks list, _or_ a potentially harmful "items" category which can cause crashes.
Steps To Reproduce"z", select "stocks", look at the end of the list. Good luck.
Additional InformationThe normal stock listing always shows an extra entry at the bottom of the list, just below "codices". This can be anything from "armor" to "anvils" to "cloth" etc., giving a faithful duplicate of the category's status. I can see no pattern which category is duplicated.

More problematically, the entry can also be "items" with an apparently random, often ridiculously large (many million) number, and i've twice experienced crashes when trying to open the stocks screen or selecting the faulty entry. It may access uninitialised or incompatible memory.

The behaviour shows up in both .43.03 regions i've created.
TagsNo tags attached.
Attached Files

- Relationships
related to 0009594confirmedDwarfu Merchants die/get frightened/flee, dump trade goods, but still own them (shows on stocks screen, can't interact with) 
related to 0009593confirmedDwarfu Invisible caravan arrives, no units listed on units list, trade impossible. 
has duplicate 0010109resolvedKnight Otu Stocks screen messed up, might crash when viewed 

-  Notes
(0035315)
Dwarfu (manager)
2016-05-28 09:52

Reminder sent to: Larix

Post a link to your save that demonstrates this uploaded to http://dffd.bay12games.com/. [^]
(0035321)
Larix2 (reporter)
2016-05-28 12:27

If it's not evidently visible on other Windows installations, a save wouldn't demonstrate a thing.

Two example pictures:

http://i.imgur.com/irWX5sN.png [^]
http://i.imgur.com/vMSlzBo.png [^]

Note "anvils" and "armor" just below "codices". In this case, the numbers given are correct. On a fresh embark, i got "items" with a number of "1000000000?" (brown), after saving and restoring i got "items", "400?" brown, "100000000?" or so red. Game didn't crash.

Issue is unrelated to the given tickets, it's flaky behaviour of the basic interface.
(0035322)
Dame de la Licorne (reporter)
2016-05-28 12:59
edited on: 2016-05-28 13:00

I can confirm that this also happens on the OSX 43.03 vanilla version. However, for me the duplicate entry sometimes changes when I open the stocks screen (the first time, it listed items, the second and third, bars, now it's back to items again).

I can't confirm the crash (no bookkeeper at this point).

(0035351)
Toady One (administrator)
2016-06-05 14:04

The new branch type for making stone axes was causing trouble. It'll be fixed for next time.

- Issue History
Date Modified Username Field Change
2016-05-28 09:13 Larix2 New Issue
2016-05-28 09:52 Dwarfu Issue Monitored: Larix
2016-05-28 09:52 Dwarfu Note Added: 0035315
2016-05-28 09:52 Dwarfu Assigned To => Dwarfu
2016-05-28 09:52 Dwarfu Status new => needs feedback
2016-05-28 09:52 Dwarfu Relationship added related to 0009594
2016-05-28 09:53 Dwarfu Relationship added related to 0009593
2016-05-28 12:27 Larix2 Note Added: 0035321
2016-05-28 12:27 Larix2 Status needs feedback => assigned
2016-05-28 12:59 Dame de la Licorne Note Added: 0035322
2016-05-28 13:00 Dame de la Licorne Note Edited: 0035322 View Revisions
2016-06-05 14:04 Toady One Note Added: 0035351
2016-06-05 14:04 Toady One Status assigned => resolved
2016-06-05 14:04 Toady One Fixed in Version => Next Version
2016-06-05 14:04 Toady One Resolution open => fixed
2016-06-05 14:04 Toady One Assigned To Dwarfu => Toady One
2017-01-10 13:56 Knight Otu Relationship added has duplicate 0010109


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker